Skip to main content
POST
https://{tenantDomain}/api/v2
/
network-acls
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.NetworkAcls.CreateAsync(
            new CreateNetworkAclRequestContent {
                Description = "description",
                Active = true,
                Rule = new NetworkAclRule {
                    Action = new NetworkAclAction(),
                    Scope = NetworkAclRuleScopeEnum.Management
                }
            }
        );
    }

}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

description
string
required
Maximum string length: 255
active
boolean
required

Indicates whether or not this access control list is actively being used

rule
object
required
priority
number
default:50

Indicates the order in which the ACL will be evaluated relative to other ACL rules.

Required range: 1 <= x <= 100

Response

Network ACL successfully created.